<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: TDA3x BIOS ONLY Performance Report</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">


<h1><a class="anchor" id="TIOVX_PERFORMANCE_TDA3x_BIOS">TDA3x BIOS ONLY Performance Report </a></h1><table frame="box" rules="all" cellspacing="0" width="50%" border="1" cellpadding="3">
<tr>
<td><p><b> SoC </b> </p>
</td><td><p>TDA3x   </p>
</td></tr>
<tr>
<td><p><b> Test EVM </b> </p>
</td><td><p>TDA3x TI EVM   </p>
</td></tr>
<tr>
<td><p><b> HOST </b> </p>
</td><td><p>ARM M4 @ 212Mhz running BIOS, L1 Cache Enabled   </p>
</td></tr>
<tr>
<td><p><b> Target </b> </p>
</td><td><p>DSP C66x @ 500Mhz running BIOS, L1/L2 Cache Enabled   </p>
</td></tr>
</table>
<p><br/>
<hr/>
<br/>
</p>
<html>
<head>
  <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type">
  <title>TIOVX Kernel Performance</title>
</head>
<body>
  <table frame="box" rules="all" cellspacing="0" width="50%" border="1" cellpadding="3">
    <tr bgcolor="lightgrey">
<td width="5" align="center"><b>Index</b></td>
<td width="25%" align="center"><b>Kernel</b></td>
<td width="25%" align="center"><b>Variant</b></td>
<td width="20%" align="center"><b>Frame Size (Pixels) </b></td>
<td width="25%" align="center"><b>Graph Performance (msec) </b></td>
<td width="25%" align="center"><b>Node Performance (msec) </b></td>
</tr>
 <tr align="center">
<td>1</td>
<td>Accumulate</td>
<td></td>
<td>640x480  (307200)</td>
<td>   1.106000</td>
<td>   0.984000</td>
 </tr>
 <tr align="center">
<td>2</td>
<td>AccumulateSquare</td>
<td></td>
<td>640x480  (307200)</td>
<td>   1.107000</td>
<td>   0.987000</td>
 </tr>
 <tr align="center">
<td>3</td>
<td>AccumulateWeighted</td>
<td></td>
<td>640x480  (307200)</td>
<td>   0.846000</td>
<td>   0.688000</td>
 </tr>
 <tr align="center">
<td>4</td>
<td>Addition</td>
<td>U8+U8=U8</td>
<td>640x480  (307200)</td>
<td>   0.857000</td>
<td>   0.738000</td>
 </tr>
 <tr align="center">
<td>5</td>
<td>Addition</td>
<td>U8+U8=S16</td>
<td>640x480  (307200)</td>
<td>   1.84000 </td>
<td>   0.958000</td>
 </tr>
 <tr align="center">
<td>6</td>
<td>Addition</td>
<td>U8+S16=S16</td>
<td>640x480  (307200)</td>
<td>   1.195000</td>
<td>   1.61000 </td>
 </tr>
 <tr align="center">
<td>7</td>
<td>Addition</td>
<td>S16+S16=S16</td>
<td>640x480  (307200)</td>
<td>   1.333000</td>
<td>   1.192000</td>
 </tr>
 <tr align="center">
<td>8</td>
<td>Subtraction</td>
<td>U8-U8=U8</td>
<td>640x480  (307200)</td>
<td>   0.850000</td>
<td>   0.730000</td>
 </tr>
 <tr align="center">
<td>9</td>
<td>Subtraction</td>
<td>U8-U8=S16</td>
<td>640x480  (307200)</td>
<td>   1.69000 </td>
<td>   0.951000</td>
 </tr>
 <tr align="center">
<td>10</td>
<td>Subtraction</td>
<td>S16-U8=S16</td>
<td>640x480  (307200)</td>
<td>   1.193000</td>
<td>   1.72000 </td>
 </tr>
 <tr align="center">
<td>11</td>
<td>Subtraction</td>
<td>S16-S16=S16</td>
<td>640x480  (307200)</td>
<td>   1.324000</td>
<td>   1.190000</td>
 </tr>
 <tr align="center">
<td>12</td>
<td>Not Operation</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.654000</td>
<td>   0.546000</td>
 </tr>
 <tr align="center">
<td>13</td>
<td>And Operation</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.854000</td>
<td>   0.734000</td>
 </tr>
 <tr align="center">
<td>14</td>
<td>OR Operation</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.865000</td>
<td>   0.741000</td>
 </tr>
 <tr align="center">
<td>15</td>
<td>XOR Operation</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.864000</td>
<td>   0.743000</td>
 </tr>
 <tr align="center">
<td>16</td>
<td>Abs Diff</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.857000</td>
<td>   0.734000</td>
 </tr>
 <tr align="center">
<td>17</td>
<td>Abs Diff</td>
<td>S16</td>
<td>640x480  (307200)</td>
<td>   1.332000</td>
<td>   1.207000</td>
 </tr>
 <tr align="center">
<td>18</td>
<td>Box</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   0.975000</td>
<td>   0.855000</td>
 </tr>
 <tr align="center">
<td>19</td>
<td>Dilate</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   0.885000</td>
<td>   0.763000</td>
 </tr>
 <tr align="center">
<td>20</td>
<td>Erode</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   0.886000</td>
<td>   0.755000</td>
 </tr>
 <tr align="center">
<td>21</td>
<td>Fast Corners</td>
<td>No NMS</td>
<td>640x480  (307200)</td>
<td>  17.478000</td>
<td>  17.340000</td>
 </tr>
 <tr align="center">
<td>22</td>
<td>Canny</td>
<td></td>
<td>640x480  (307200)</td>
<td>   7.782000</td>
<td>   7.647000</td>
 </tr>
 <tr align="center">
<td>23</td>
<td>Channel Combine</td>
<td>3 to 1 (RGB)</td>
<td>640x480  (307200)</td>
<td>   1.593000</td>
<td>   1.469000</td>
 </tr>
 <tr align="center">
<td>24</td>
<td>Channel Combine</td>
<td>4 to 1 (RGBX)</td>
<td>640x480  (307200)</td>
<td>   1.825000</td>
<td>   1.700000</td>
 </tr>
 <tr align="center">
<td>25</td>
<td>Channel Combine</td>
<td>YUYV</td>
<td>640x480  (307200)</td>
<td>   1.116000</td>
<td>   0.991000</td>
 </tr>
 <tr align="center">
<td>26</td>
<td>Channel Combine</td>
<td>2 to 1 (NV12)</td>
<td>640x480  (307200)</td>
<td>   0.802000</td>
<td>   0.680000</td>
 </tr>
 <tr align="center">
<td>27</td>
<td>Channel Extract</td>
<td>1 of 3 (RGB)</td>
<td>640x480  (307200)</td>
<td>   0.981000</td>
<td>   0.861000</td>
 </tr>
 <tr align="center">
<td>28</td>
<td>Channel Extract</td>
<td>1 of 4 (RGBX)</td>
<td>640x480  (307200)</td>
<td>   1.113000</td>
<td>   0.993000</td>
 </tr>
 <tr align="center">
<td>29</td>
<td>Color Convert</td>
<td>RGB=>RGBX</td>
<td>640x480  (307200)</td>
<td>   1.564000</td>
<td>   1.437000</td>
 </tr>
 <tr align="center">
<td>30</td>
<td>Color Convert</td>
<td>RGB=>NV12</td>
<td>640x480  (307200)</td>
<td>   2.602000</td>
<td>   2.380000</td>
 </tr>
 <tr align="center">
<td>31</td>
<td>Color Convert</td>
<td>RGB=>IYUV</td>
<td>640x480  (307200)</td>
<td>   2.731000</td>
<td>   2.605000</td>
 </tr>
 <tr align="center">
<td>32</td>
<td>Color Convert</td>
<td>RGB=>YUV4</td>
<td>640x480  (307200)</td>
<td>   1.522000</td>
<td>   1.395000</td>
 </tr>
 <tr align="center">
<td>33</td>
<td>Color Convert</td>
<td>RGBX=>RGB</td>
<td>640x480  (307200)</td>
<td>   1.540000</td>
<td>   1.415000</td>
 </tr>
 <tr align="center">
<td>34</td>
<td>Color Convert</td>
<td>RGBX=>NV12</td>
<td>640x480  (307200)</td>
<td>   2.540000</td>
<td>   2.415000</td>
 </tr>
 <tr align="center">
<td>35</td>
<td>Color Convert</td>
<td>RGBX=>IYUV</td>
<td>640x480  (307200)</td>
<td>   2.796000</td>
<td>   2.645000</td>
 </tr>
 <tr align="center">
<td>36</td>
<td>Color Convert</td>
<td>RGBX=>YUV4</td>
<td>640x480  (307200)</td>
<td>   1.632000</td>
<td>   1.502000</td>
 </tr>
 <tr align="center">
<td>37</td>
<td>Color Convert</td>
<td>NVXX=>RGB</td>
<td>640x480  (307200)</td>
<td>   2.115000</td>
<td>   1.993000</td>
 </tr>
 <tr align="center">
<td>38</td>
<td>Color Convert</td>
<td>NVXX=>RGBX</td>
<td>640x480  (307200)</td>
<td>   2.185000</td>
<td>   2.53000 </td>
 </tr>
 <tr align="center">
<td>39</td>
<td>Color Convert</td>
<td>NVXX=>IYUV</td>
<td>640x480  (307200)</td>
<td>   0.959000</td>
<td>   0.834000</td>
 </tr>
 <tr align="center">
<td>40</td>
<td>Color Convert</td>
<td>NVXX=>YUV4</td>
<td>640x480  (307200)</td>
<td>   1.320000</td>
<td>   1.192000</td>
 </tr>
 <tr align="center">
<td>41</td>
<td>Color Convert</td>
<td>YUVX=>RGB</td>
<td>640x480  (307200)</td>
<td>   2.364000</td>
<td>   2.63000 </td>
 </tr>
 <tr align="center">
<td>42</td>
<td>Color Convert</td>
<td>YUVX=>RGBX</td>
<td>640x480  (307200)</td>
<td>   2.481000</td>
<td>   2.222000</td>
 </tr>
 <tr align="center">
<td>43</td>
<td>Color Convert</td>
<td>YUVX=>NV12</td>
<td>640x480  (307200)</td>
<td>   0.970000</td>
<td>   0.848000</td>
 </tr>
 <tr align="center">
<td>44</td>
<td>Color Convert</td>
<td>YUVX=>IYUV</td>
<td>640x480  (307200)</td>
<td>   1.4000  </td>
<td>   0.881000</td>
 </tr>
 <tr align="center">
<td>45</td>
<td>Color Convert</td>
<td>IYUV=>RGB</td>
<td>640x480  (307200)</td>
<td>   2.59000 </td>
<td>   1.899000</td>
 </tr>
 <tr align="center">
<td>46</td>
<td>Color Convert</td>
<td>IYUV=>RGBX</td>
<td>640x480  (307200)</td>
<td>   2.33000 </td>
<td>   1.901000</td>
 </tr>
 <tr align="center">
<td>47</td>
<td>Color Convert</td>
<td>IYUV=>NV12</td>
<td>640x480  (307200)</td>
<td>   0.973000</td>
<td>   0.822000</td>
 </tr>
 <tr align="center">
<td>48</td>
<td>Color Convert</td>
<td>IYUV=>YUV4</td>
<td>640x480  (307200)</td>
<td>   1.294000</td>
<td>   1.169000</td>
 </tr>
 <tr align="center">
<td>49</td>
<td>Convert Depth</td>
<td>U8 to S16</td>
<td>640x480  (307200)</td>
<td>   0.872000</td>
<td>   0.744000</td>
 </tr>
 <tr align="center">
<td>50</td>
<td>Convolution</td>
<td>3x3, O: U8</td>
<td>640x480  (307200)</td>
<td>   1.288000</td>
<td>   1.160000</td>
 </tr>
 <tr align="center">
<td>51</td>
<td>Convolution</td>
<td>3x3, O: S16</td>
<td>640x480  (307200)</td>
<td>   1.538000</td>
<td>   1.416000</td>
 </tr>
 <tr align="center">
<td>52</td>
<td>Convolution</td>
<td>9x3, O: U8</td>
<td>640x480  (307200)</td>
<td>  45.764000</td>
<td>  45.634000</td>
 </tr>
 <tr align="center">
<td>53</td>
<td>Convolution</td>
<td>9x3, O: S16</td>
<td>640x480  (307200)</td>
<td>  43.111000</td>
<td>  42.981000</td>
 </tr>
 <tr align="center">
<td>54</td>
<td>Convolution</td>
<td>3x9, O: U8</td>
<td>640x480  (307200)</td>
<td>  47.391000</td>
<td>  47.263000</td>
 </tr>
 <tr align="center">
<td>55</td>
<td>Convolution</td>
<td>3x9, O: S16</td>
<td>640x480  (307200)</td>
<td>  51.165000</td>
<td>  51.29000 </td>
 </tr>
 <tr align="center">
<td>56</td>
<td>Convolution</td>
<td>5x5, O: U8</td>
<td>640x480  (307200)</td>
<td>   2.725000</td>
<td>   2.574000</td>
 </tr>
 <tr align="center">
<td>57</td>
<td>Convolution</td>
<td>5x5, O: S16</td>
<td>640x480  (307200)</td>
<td>   3.63000 </td>
<td>   2.932000</td>
 </tr>
 <tr align="center">
<td>58</td>
<td>Convolution</td>
<td>7x7, O: U8</td>
<td>640x480  (307200)</td>
<td>   5.395000</td>
<td>   5.271000</td>
 </tr>
 <tr align="center">
<td>59</td>
<td>Convolution</td>
<td>7x7, O: S16</td>
<td>640x480  (307200)</td>
<td>   5.710000</td>
<td>   5.580000</td>
 </tr>
 <tr align="center">
<td>60</td>
<td>Convolution</td>
<td>9x9, O: U8</td>
<td>640x480  (307200)</td>
<td>  83.11000 </td>
<td>  82.880000</td>
 </tr>
 <tr align="center">
<td>61</td>
<td>Convolution</td>
<td>9x9, O: S16</td>
<td>640x480  (307200)</td>
<td>  86.998000</td>
<td>  86.866000</td>
 </tr>
 <tr align="center">
<td>62</td>
<td>Equalize Histogram</td>
<td></td>
<td>640x480  (307200)</td>
<td>   1.472000</td>
<td>   1.350000</td>
 </tr>
 <tr align="center">
<td>63</td>
<td>Gaussian</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   0.930000</td>
<td>   0.808000</td>
 </tr>
 <tr align="center">
<td>64</td>
<td>Gaussian Pyramid</td>
<td></td>
<td>640x480  (307200)</td>
<td>  11.728000</td>
<td>  11.592000</td>
 </tr>
 <tr align="center">
<td>65</td>
<td>Half Scale Gaussian Pyramid</td>
<td></td>
<td>640x480  (307200)</td>
<td>   1.304000</td>
<td>   1.181000</td>
 </tr>
 <tr align="center">
<td>66</td>
<td>Harris Corners</td>
<td></td>
<td>640x480  (307200)</td>
<td>  24.34000 </td>
<td>  23.892000</td>
 </tr>
 <tr align="center">
<td>67</td>
<td>Histogram</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.901000</td>
<td>   0.777000</td>
 </tr>
 <tr align="center">
<td>68</td>
<td>Integral Image</td>
<td></td>
<td>640x480  (307200)</td>
<td>   1.644000</td>
<td>   1.503000</td>
 </tr>
 <tr align="center">
<td>69</td>
<td>Laplacian Pyramid</td>
<td>U8; Levels = 6</td>
<td>640x480  (307200)</td>
<td>   8.814000</td>
<td>   8.671000</td>
 </tr>
 <tr align="center">
<td>70</td>
<td>Laplacian Reconstruct</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>  11.74000 </td>
<td>  10.926000</td>
 </tr>
 <tr align="center">
<td>71</td>
<td>LookUpTable</td>
<td>S16</td>
<td>640x480  (307200)</td>
<td>   1.153000</td>
<td>   1.19000 </td>
 </tr>
 <tr align="center">
<td>72</td>
<td>Magnitude</td>
<td>S16</td>
<td>640x480  (307200)</td>
<td>   3.605000</td>
<td>   3.465000</td>
 </tr>
 <tr align="center">
<td>73</td>
<td>Mean/Standard Deviation</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.474000</td>
<td>   0.370000</td>
 </tr>
 <tr align="center">
<td>74</td>
<td>Median</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   1.99000 </td>
<td>   0.977000</td>
 </tr>
 <tr align="center">
<td>75</td>
<td>Min Max Loc</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.897000</td>
<td>   0.774000</td>
 </tr>
 <tr align="center">
<td>76</td>
<td>Multiply</td>
<td>U8 x U8 = U8</td>
<td>640x480  (307200)</td>
<td>   0.862000</td>
<td>   0.737000</td>
 </tr>
 <tr align="center">
<td>77</td>
<td>Multiply</td>
<td>U8 x U8 = S16</td>
<td>640x480  (307200)</td>
<td>   1.65000 </td>
<td>   0.944000</td>
 </tr>
 <tr align="center">
<td>78</td>
<td>Multiply</td>
<td>U8 x S16 = S16</td>
<td>640x480  (307200)</td>
<td>   1.204000</td>
<td>   1.73000 </td>
 </tr>
 <tr align="center">
<td>79</td>
<td>Multiply</td>
<td>S16 x S16 = S16</td>
<td>640x480  (307200)</td>
<td>   1.331000</td>
<td>   1.203000</td>
 </tr>
 <tr align="center">
<td>80</td>
<td>NonLinear Filter</td>
<td>mask=5x5; Erosion</td>
<td>640x480  (307200)</td>
<td>   3.288000</td>
<td>   3.161000</td>
 </tr>
 <tr align="center">
<td>81</td>
<td>NonLinear Filter</td>
<td>mask=5x5; Dilation</td>
<td>640x480  (307200)</td>
<td>   3.287000</td>
<td>   3.160000</td>
 </tr>
 <tr align="center">
<td>82</td>
<td>NonLinear Filter</td>
<td>mask=5x5; Median</td>
<td>640x480  (307200)</td>
<td>  39.602000</td>
<td>  39.467000</td>
 </tr>
 <tr align="center">
<td>83</td>
<td>Optical Flow</td>
<td>5x5</td>
<td>640x480  (307200)</td>
<td>   6.804000</td>
<td>   6.665000</td>
 </tr>
 <tr align="center">
<td>84</td>
<td>Phase</td>
<td></td>
<td>640x480  (307200)</td>
<td>   3.745000</td>
<td>   3.616000</td>
 </tr>
 <tr align="center">
<td>85</td>
<td>Remap</td>
<td>Bilinear Interpolation</td>
<td>*640x480  (307200)</td>
<td>  10.591000</td>
<td>  10.454000</td>
 </tr>
 <tr align="center">
<td>86</td>
<td>Remap</td>
<td>Nearest Neighbor</td>
<td>*640x480  (307200)</td>
<td>   8.260000</td>
<td>   8.123000</td>
 </tr>
 <tr align="center">
<td>87</td>
<td>Scale Image</td>
<td>1 to 2; Nearest Neighbor</td>
<td>*640x480  (307200)</td>
<td>   1.173000</td>
<td>   1.46000 </td>
 </tr>
 <tr align="center">
<td>88</td>
<td>Scale Image</td>
<td>1 to 2; Bilinear Interpolation</td>
<td>*640x480  (307200)</td>
<td>   4.458000</td>
<td>   4.325000</td>
 </tr>
 <tr align="center">
<td>89</td>
<td>Sobel</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   1.550000</td>
<td>   1.423000</td>
 </tr>
 <tr align="center">
<td>90</td>
<td>Threshold</td>
<td>Binary</td>
<td>640x480  (307200)</td>
<td>   0.666000</td>
<td>   0.542000</td>
 </tr>
 <tr align="center">
<td>91</td>
<td>Warp Affine</td>
<td>Nearest Neighbor</td>
<td>*640x480  (307200)</td>
<td>   0.629000</td>
<td>   0.495000</td>
 </tr>
 <tr align="center">
<td>92</td>
<td>Warp Affine</td>
<td>Bilinear Interpolation</td>
<td>*640x480  (307200)</td>
<td>   1.345000</td>
<td>   1.211000</td>
 </tr>
 <tr align="center">
<td>93</td>
<td>Warp Pespective</td>
<td>Nearest Neighbor</td>
<td>*640x480  (307200)</td>
<td>   0.915000</td>
<td>   0.713000</td>
 </tr>
 <tr align="center">
<td>94</td>
<td>Warp Pespective</td>
<td>Bilinear Interpolation</td>
<td>*640x480  (307200)</td>
<td>   1.806000</td>
<td>   1.606000</td>
 </tr>
</table>
</body>
</html>
<p>Footnote 1: All optional parameters for relevant kernels are used<p><p>Footnote 2: All image sizes are for input parameters unless noted with an asterisk (*) in which case these are the output parameter sizes<p>
 </div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
